Skip to main content
GET
/
v1
/
wallets
List wallets
curl --request GET \
  --url https://api.getsly.ai/v1/v1/wallets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "owner_type": "account",
      "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "currency": "<string>",
      "balance_available": "<string>",
      "balance_pending": "<string>",
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "network": "<string>",
      "address": "<string>",
      "name": "<string>",
      "metadata": {},
      "frozen_at": "2023-11-07T05:31:56Z",
      "frozen_reason": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Query Parameters

owner_type
enum<string>
Available options:
account,
agent
owner_id
string<uuid>
currency
string
status
enum<string>
Available options:
active,
frozen,
deactivated
page
integer
default:1
limit
integer
default:50
Required range: x <= 200

Response

200 - application/json

Paginated wallets

data
object[]
required
pagination
object
required